<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="cn.iocoder.yudao.module.cont.mapper.BaseContTempMapper">

    <select id="selectListPage" resultType="cn.iocoder.yudao.module.cont.vo.BaseContTempRespVO">
        SELECT
            main.*
        FROM
            dl_base_cont_temp main
        <where>
            deleted = 0
            <if test="entity.tempName != null and entity.tempName != ''">
                AND main.temp_name LIKE concat('%',#{entity.tempName},'%')
            </if>
            <if test="entity.tempType != null and entity.tempType != ''">
                AND main.temp_type = #{entity.tempType}
            </if>
            <if test="entity.tempUse != null and entity.tempUse != ''">
                AND main.temp_use = #{entity.tempUse}
            </if>
        </where>
ORDER BY main.create_time DESC
    </select>
</mapper>